Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.regions.list(page_size=20, page_number=1)
while res is not None:
# Handle items
res = res.next()package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"github.com/latitudesh/latitudesh-go-sdk/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Regions.Get(ctx, operations.GetRegionsRequest{})
if err != nil {
log.Fatal(err)
}
if res.Regions != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.regions.get({});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.latitude.sh/regions \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "loc_k0RyqvNvqW36X",
"type": "regions",
"attributes": {
"name": "Luettgen Group",
"slug": "luettgen-group",
"facility": "Luettgen Group",
"country": {
"name": "Grant and Sons",
"slug": "grant-and-sons"
},
"type": "core",
"features": [
"public_network"
]
}
}
],
"meta": {}
}Regions
List regions
Lists all available locations. For server availability by location, please see the Plans API.
GET
/
regions
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.regions.list(page_size=20, page_number=1)
while res is not None:
# Handle items
res = res.next()package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"github.com/latitudesh/latitudesh-go-sdk/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Regions.Get(ctx, operations.GetRegionsRequest{})
if err != nil {
log.Fatal(err)
}
if res.Regions != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.regions.get({});
for await (const page of result) {
console.log(page);
}
}
run();Authorizations
Query Parameters
Number of items to return per page
Required range:
x >= 1Page number to return (starts at 1)
Required range:
x >= 1Request aggregate stats in the response meta. Use count to get the total number of records, returned as meta.stats.total.count.
When set to true, the response also includes custom regions (such as storage-only regions) alongside the default core regions. When omitted or false, only core regions are returned.
Return only locations that support the given capability, e.g. filter[features]=public_network.
Was this page helpful?
⌘I